データ検証
エンドポイント
| 環境 | URL |
|---|---|
| 本番 | POST https://api.id.unico.app/lists/{cpf} |
| サンドボックス | POST https://api.id.uat.unico.app/lists/{cpf} |
設計上の独立エンドポイント
このエンドポイントは標準のプロセス作成(POST /processes/v1)とは独立しています。決定論的な本人確認結果ではなく、データのリストを提供します。
リクエスト
ヘッダー
| ヘッダー | 値 |
|---|---|
Authorization | Bearer <access_token> (認証を参照) |
パスパラメーター
| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
cpf | string | はい | 照会する人物の CPF。 |
curl -X POST "https://api.id.uat.unico.app/lists/12345678909" \
-H "Authorization: Bearer $TOKEN"
レスポンス
ルートエンベロープ
{
"id": "41c24382-36ce-4bb4-8339-352114f71f78",
"status": 3,
"lists": { }
}
| フィールド | 型 | 説明 |
|---|---|---|
id | string (UUID) | 固有のリクエスト識別子。 |
status | integer | 処理ステータス。 |
lists | object | 照会されたデータを含むメインペイロード。 |
`lists.basicData` — 登録データ
{
"basicData": {
"name": "JOAO DA SILVA",
"birthCountry": "BRASILEIRA",
"birthDate": "1990-01-01T00:00:00Z",
"gender": "M",
"motherName": "MARIA DA SILVA",
"fatherName": "",
"maritalStatus": "",
"rgNumber": "",
"rgIssuingAgency": "",
"rgStateCode": "",
"financialData": {
"incomeEstimate": "...",
"totalAssets": "..."
},
"address": {
"addressMain": "AVENIDA DO ESTADO",
"number": "123",
"complement": "ANDAR 1",
"neighborhood": "CENTRO",
"zipCode": "12345678",
"city": "SAO PAULO",
"state": "SP",
"country": "BRASIL",
"type": "WORK"
},
"email": "...",
"phone": "+554799999999",
"socialName": ""
}
}
| フィールド | 型 | 説明 |
|---|---|---|
name | string | フルネーム。 |
birthCountry | string | 出生国。 |
birthDate | string (ISO 8601) | 生年月日。 |
gender | string | 性別。 |
motherName | string | 母親の名前。 |
fatherName | string | 父親の名前。 |
maritalStatus | string | 婚姻状況。 |
rgNumber | string | RG 番号。 |
rgIssuingAgency | string | RG 発行機関。 |
rgStateCode | string | RG 州コード。 |
financialData.incomeEstimate | string | 推定収入。 |
financialData.totalAssets | string | 総資産。 |
email | string | メールアドレス。 |
phone | string | 電話番号。 |
socialName | string | 通称名。登録された通称名がない場合は空になることがあります。 |
basicData.address:
| フィールド | 型 | 説明 |
|---|---|---|
addressMain | string | 通り名。 |
number | string | 番地。 |
complement | string | 補足情報。 |
neighborhood | string | 地区。 |
zipCode | string | 郵便番号。 |
city | string | 市区町村。 |
state | string | 州コード。 |
country | string | 国。 |
type | string | 住所タイプ(例: WORK)。 |
`lists.riskData.taxIdValidation` — CPF 検証
{
"taxIdValidation": {
"taxIdStatus": "REGULAR",
"taxIdStatusDate": "...",
"decease": false,
"under18": false
}
}
| フィールド | 型 | 説明 |
|---|---|---|
taxIdStatus | string | CPF 登録ステータス。 |
taxIdStatusDate | string | 登録ステータスの日付。 |
decease | boolean | 死亡を示します。 |
under18 | boolean | 18 歳未満を示します。 |
`lists.riskData.pep` — 政治的に公開された人物
{
"pep": {
"isCurrentlyPep": true,
"records": [
{
"level": "1",
"jobTitle": "SENADOR",
"motive": "FEDERAL EMPLOYEE"
}
]
}
}
| フィールド | 型 | 説明 |
|---|---|---|
isCurrentlyPep | boolean | 現在 PEP であるかどうか。 |
records | array | 本人の PEP レコード。 |
records[].level | string | 政治的公開レベル。 |
records[].jobTitle | string | 役職。 |
records[].motive | string | 分類の動機。 |
`lists.riskData.aml` — マネーロンダリング対策(制裁)
{
"aml": {
"isSanctioned": true,
"records": [
{
"type": "Law Enforcement",
"source": "interpol",
"standardizedType": "ARREST WARRANTS",
"endDate": "..."
}
]
}
}
| フィールド | 型 | 説明 |
|---|---|---|
isSanctioned | boolean | 制裁対象であるかどうか。 |
records | array | 本人の制裁情報。 |
records[].type | string | 制裁タイプ。 |
records[].source | string | 制裁の出所。 |
records[].standardizedType | string | 標準化されたタイプ。 |
records[].endDate | string | 終了日。 |
`lists.riskData.sportsRelationship` — スポーツ賭博との関係
{
"sportsRelationship": {
"hasSportsRelationship": false,
"isCurrentlyAthlete": false,
"isCurrentlySportsCoach": false,
"isCurrentlySportsClubDirector": false,
"isCurrentlyReferee": false,
"isCurrentlyRelatedToFinanceMinistry": false,
"isCurrentlyBettingCompanyOwner": false,
"sportsRelationshipMotive": "",
"sportExposures": []
}
}
| フィールド | 型 | 説明 |
|---|---|---|
hasSportsRelationship | boolean | スポーツとの関係があるかどうか。 |
isCurrentlyAthlete | boolean | 現役アスリートであるかどうか。 |
isCurrentlySportsCoach | boolean | 現役コーチであるかどうか。 |
isCurrentlySportsClubDirector | boolean | 現役クラブディレクターであるかどうか。 |
isCurrentlyReferee | boolean | 現役審判員であるかどうか。 |
isCurrentlyRelatedToFinanceMinistry | boolean | 財務省との関係があるかどうか。 |
isCurrentlyBettingCompanyOwner | boolean | 賭博会社のオーナーであるかどうか。 |
sportsRelationshipMotive | string | 関係の動機。 |
sportExposures | array | 詳細なスポーツ公開情報。 |
sportExposures[]:
| フィールド | 型 | 説明 |
|---|---|---|
sportName | string | スポーツ名。 |
region | string | 活動地域。 |
totalRelatedEntities | integer | 関連エンティティの総数。 |
relationshipLevel | string | 関係レベル。 |
endDate | string | 終了日。 |
エラーコード
- 400 Bad Request
- 403 Forbidden
- 500 Internal Server Error
| コード | メッセージ | 説明 |
|---|---|---|
99989 | The document is invalid. | CPF が無効な場合。 |
| コード | メッセージ | 説明 |
|---|---|---|
10501 | The authorization token is invalid. | 認証トークンが無効です。 |
| コード | メッセージ | 説明 |
|---|---|---|
99999 | Internal failure! Try again later | 内部エラーが発生した場合。 |